Bug 485580 - Review Request: netactview - Graphical network connections viewer for Linux
Review Request: netactview - Graphical network connections viewer for Linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 15:41 EST by leigh scott
Modified: 2009-04-25 13:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4.1-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 10:32:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
leigh123linux: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2009-02-14 15:41:31 EST
Spec URL: http://dnmouse.org/fedora/netactview_review/netactview.spec
SRPM URL: http://dnmouse.org/fedora/netactview_review/netactview-0.4.1-1.fc10.src.rpm
Description: Netactview is a graphical network connections viewer for Linux, similar in functionality with Netstat. It includes features like process information, host name retrieval, automatic refresh and sorting. It has a fully featured GTK 2 graphical interface.
Comment 1 manuel wolfshant 2009-02-15 01:35:51 EST
The desktop files needs a couple of cosmetic fixes, because the Categories tag should not contain X-Fedora and Application any more. Therefore please drop 
  --add-category X-Fedora 
and add instead
   --remove-category=Application

Bonus points for adding 
 chmod -x src/*{h,c)
thus silencing rpmlint when looking at the debuginfo file:
rpmlint of netactview-debuginfo:
netactview-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netactview-0.4.1/src/main.c
netactview-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netactview-0.4.1/src/net.h
netactview-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netactview-0.4.1/src/net.c
netactview-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netactview-0.4.1/src/mainwindow.c
netactview-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netactview-0.4.1/src/process.c
netactview-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netactview-0.4.1/src/utils.c
netactview-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/netactview-0.4.1/src/process.h


For the moment you have duplicate BuildRequires: pkgconfig (by glib-devel), gnome-vfs2-devel (by libgnome-devel) and glib-devel (by gtk+-devel). This is purely cosmetic and I will not complain if you want to keep it as it is.

 And last but not last, I have contacted the author in private and asked him to include license info in all the source files.


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type per spec: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: af60909095f5150e70fdec778cfdcb3edf1438b5 netactview-0.4.1.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI application.
=>see preamble
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64, F10/i386
 [-] Package should compile and build into binary rpms on all supported architectures.
     Tested on: devel/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.

Fix the issues mentioned in Preamble (notably the desktop) and I will gladly approve the package.
Comment 2 leigh scott 2009-02-15 05:18:55 EST
I have applied these changes that you recommended.

>   --add-category X-Fedora 
> and add instead
>   --remove-category=Application
>
> Bonus points for adding 
> chmod -x src/*{h,c}





Spec URL: http://dnmouse.org/fedora/netactview_review/new_1/netactview.spec

SRPM URL: http://dnmouse.org/fedora/netactview_review/new_1/netactview-0.4.1-2.fc11.src.rpm


Thank you for reviewing the package.


Leigh
Comment 3 manuel wolfshant 2009-02-15 06:53:34 EST
package APPROVED
Comment 4 leigh scott 2009-02-15 07:11:49 EST
New Package CVS Request
=======================
Package Name: netactview
Short Description: Graphical network connections viewer for Linux
Owners: leigh123linux
Branches: F-9 F-10
InitialCC: leigh123linux
Comment 5 leigh scott 2009-02-15 14:51:11 EST
Is there any need to add %post & %postun to update the icon cache ?

https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
Comment 6 manuel wolfshant 2009-02-16 03:38:55 EST
I do not think that https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database applies to this case, there is no MimeType key desktop entry.



The author denied my request to add the license to all source files. I am quoting below our mails and his translated answer:

"Deliberately I have not included a header with the license in each file. The license is specified in the file named COPYING and is relevant to the whole program with all its files. The program and all its files are licensed as GPLv2"

Based on the content of the COPYING and the header of the main.c files, I think that it is safe to presume that the author makes no difference between GPLv2 and GPLv2+ and since both files indicate GPLv2+, this is the license to be used by us.




Delivered-To: wolfy@fedoraproject.org
Received: by bastion.fedora.phx.redhat.com (Postfix, from userid 404)
	id 4529F20847C; Sun, 15 Feb 2009 16:18:20 +0000 (UTC)
Received: from mx1.util.phx.redhat.com (mx1.util.phx.redhat.com [10.8.4.92])
	by bastion.fedora.phx.redhat.com (Postfix) with ESMTP id B97852081FB
	for <wolfy@fedoraproject.org>; Sun, 15 Feb 2009 16:18:14 +0000 (UTC)
Received: from int-mx1.corp.redhat.com (int-mx1.corp.redhat.com [172.16.52.254])
	by mx1.util.phx.redhat.com (8.13.1/8.13.1) with ESMTP id n1FGIDHU018478
	for <wolfy@fedoraproject.org>; Sun, 15 Feb 2009 11:18:14 -0500
Received: from mx1.redhat.com (mx1.redhat.com [172.16.48.31])
	by int-mx1.corp.redhat.com (8.13.1/8.13.1) with ESMTP id n1FGIDsK001041
	for <wolfy@fedoraproject.org>; Sun, 15 Feb 2009 11:18:13 -0500
Received: from mail-fx0-f10.google.com (mail-fx0-f10.google.com [209.85.220.10])
	by mx1.redhat.com (8.13.8/8.13.8) with ESMTP id n1FGHxAq020472
	for <wolfy@fedoraproject.org>; Sun, 15 Feb 2009 11:18:00 -0500
Received: by fxm3 with SMTP id 3so3277418fxm.17
        for <wolfy@fedoraproject.org>; Sun, 15 Feb 2009 08:17:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:mime-version:received:in-reply-to:references
         :date:message-id:subject:from:to:content-type;
        bh=DLQZiH7Fh1evsUpENhH8aXdLCHG1tqLvZsK9fxGkgTE=;
        b=Nk1rVe4XYZ3daCwHijc/hVE0+P4ialpDxKFP0KaHUbfSHDUC2HQuIFD405JZ7arcKU
         kttOr3s0q0qc9iLXvVTVNcvo6Z+pQdKwA+FrpGoFmggN8NtBp67RTq0R1OatBXNeRcev
         g7iOJ/X2JNraHhh2bK9EJesVqywpsp+I/bIkk=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :content-type;
        b=duG5Js4Xso5qHHOtetWIFwB27h/H81yxbksICyx6AShyaRBFuDavyHuPV0IswUlwsg
         0fEu84CqE7AdezUW0BMA3gFxoOUfnX6mLksNQsVX+Lqpb50W52tmh6xOJ1+oW87jUL2g
         CSTXo+hMRsA3erbooEMLegUJkr+7bN1g8Ik/c=
MIME-Version: 1.0
Received: by 10.103.241.15 with SMTP id t15mr2381592mur.85.1234714679154; Sun, 
	15 Feb 2009 08:17:59 -0800 (PST)
In-Reply-To: <4997B5C9.7070400@fedoraproject.org>
References: <4997B5C9.7070400@fedoraproject.org>
Date: Sun, 15 Feb 2009 18:17:59 +0200
Message-ID: <8a5752f30902150817q187a872ajd01433b81e0b35bc@mail.gmail.com>
Subject: Re: Net Activity Viewer - licenta
From: Mihai Varzaru <mihaiv@gmail.com>
To: manuel wolfshant <wolfy@fedoraproject.org>
Content-Type: multipart/alternative; boundary=001636b430c8d999200462f769fe
X-RedHat-Spam-Score: 0.001 
X-Scanned-By: MIMEDefang 2.58 on 172.16.52.254
X-Scanned-By: MIMEDefang 2.63 on 172.16.48.31

--001636b430c8d999200462f769fe
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

Nu am inclus in mod intentionat un header cu licenta in fiecare fisier.
Licenta este specificata in fisierul COPYING si se aplica intregului program
cu toate fisierele sale. Programul cu toate fisierele sale sunt licentiate
cu GPL v2.


2009/2/15 manuel wolfshant <wolfy@fedoraproject.org>

>  Buna Mihai
>
>     Scuze ca te deranjez, dar am o rugaminte. Programul tau este in curs de
> a fi inclus in Fedora ( https://bugzilla.redhat.com/show_bug.cgi?id=485580),  dar in cursul verificarilor premergatoare includerii am observat ca
> fisierele sursa nu au inclusa licenta sub care este distribuit programul
> decit in fisierul main.c. Din considerente legale (in SUA..) este preferabil
> ca fiecare fisier sursa (.h / .c) sa includa un header in care sa fie
> specificata licenta exacta sub care se afla, facilitind astfel si
> posibilitatea ca fisiere din un program sa fie folosite in altul.
>     De aceea avem rugamintea sa incluzi si tu aceste informatii in toate
> fisierele sursa.
>     Multumesc anticipat
>
>        manuel
>
Comment 7 Kevin Fenzi 2009-02-16 16:32:18 EST
cvs done.
Comment 8 Fedora Update System 2009-02-26 10:32:31 EST
netactview-0.4.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-02-26 10:35:14 EST
netactview-0.4.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 leigh scott 2009-04-25 12:57:42 EDT
Package Change Request
======================
Package Name: netactview
New Branches: F11
Owners: leigh123linux
Comment 11 leigh scott 2009-04-25 12:58:13 EDT
Package Change Request
======================
Package Name: netactview
New Branches: F-11
Owners: leigh123linux

Note You need to log in before you can comment on or make changes to this bug.